# Sloan Digital Sky Survey, version DR6, from this web site :
# http://cas.sdss.org/astro/en/tools/search/SQS.asp
# The major constraints used were redshift confidence >0.2
# and 0.0005 < z < 1.  For the distance, Hubble's constant
# was set to 73.2 km/sec/Mpc, I supposed a null spatial
# curvature and a null cosmological constant.  Each point
# in the model represents a galaxy !
#
# Data converted for Celestia by Martin Charest.
# August 2008

Nebula "sdss1"
{
	Mesh "sdss1.cmod"
	Visible false
	Position [ 0 0 0 ]
	Axis [ 1 0 0 ]
	Angle 246.55
	Radius  1E10
}

Nebula "sdss2"
{
	Mesh "sdss2.cmod"
	Visible false
	Position [ 0 0 0 ]
	Axis [ 1 0 0 ]
	Angle 246.55
	Radius  1E10
}
