#Hubble Ultra Deep Field Image in constellation Fornax, below Orion
#
# the "billboard" picture used with this definition was obtained from
#the Hubble Space Telescope site - Copyright NASA and ESA, 2004
#
Nebula "Hubble Ultra Deep Field"
 {
    Mesh     "HUDF.3ds"  	#  calls up a texture file named "b33.jpg".  Change to a texture named "HUDF.jpg" if you have a 3ds mesh editor.
	Axis [ -0.9430 -0.2262 -0.2441 ]
	Angle 143.3		
    Distance   5000  #placed at 5000 LY from Earth, which is just beyond the farthest star in the vicinity
    RA          3.544444  	#coordinates per NASA HST site
    Dec        -27.8 		#coordinates per NASA HST site
    Radius     2.16 		#from Earth, the image is 3 arc minutes on a side.  This radius provides that width at a 5000 LY distance from Earth.
}
