# LCDM model with Omega_matter = 0.3, Omega_Lambda = 0.7
# Source of data : http://www.mpa-garching.mpg.de/Virgo/hubble.html

Nebula "Volume de Hubble 1 (simulation VIRGO)"  # at redshift z = 0
{
	Mesh "VIRGO_sprites1.cmod"
	Visible false
	Clickable false

	Position [ 0 0 0 ]
        Radius 7.005E9  # Hubble constant used is 70 km/sec/Mpc
	Axis [-0.679381 0.221716 -0.699488]
	Angle 196.475
}

Nebula "Volume de Hubble 2 (simulation VIRGO)"  # at redshift z = 0
{
	Mesh "VIRGO_sprites2.cmod"
	Visible false
	Clickable false

	Position [ 0 0 0 ]
        Radius 7.051E9  # Hubble constant used is 70 km/sec/Mpc
	Axis [-0.679381 0.221716 -0.699488]
	Angle 196.475
}
